{
  "name": "@openstapps/es-mapping-generator",
  "description": "Tool to convert TypeScript Interfaces to Elasticsearch Mappings",
  "version": "3.0.0",
  "type": "commonjs",
  "license": "GPL-3.0-only",
  "author": "Thea Schöbl <dev@theaninova.de>",
  "main": "./lib/index.js",
  "types": "./lib/index.d.ts",
  "bin": {
    "openstapps-es-mapping-generator": "app.js"
  },
  "files": [
    "app.js",
    "lib",
    "schema",
    "README.md",
    "CHANGELOG.md"
  ],
  "scripts": {
    "build": "rimraf lib && tsc",
    "format": "prettier . -c --ignore-path ../../.gitignore",
    "format:fix": "prettier --write . --ignore-path ../../.gitignore",
    "lint": "eslint --ext .ts src/",
    "lint:fix": "eslint --ext .ts src/",
    "test": "c8 mocha"
  },
  "dependencies": {
    "@elastic/elasticsearch": "8.4.0",
    "commander": "10.0.0",
    "deepmerge": "4.3.1",
    "flatted": "3.2.7",
    "typedoc": "0.18.0",
    "typescript": "3.8.3"
  },
  "devDependencies": {
    "@openstapps/eslint-config": "workspace:*",
    "@openstapps/prettier-config": "workspace:*",
    "@testdeck/mocha": "0.3.3",
    "@types/chai": "4.3.5",
    "@types/mocha": "10.0.1",
    "@types/node": "14.18.38",
    "@types/rimraf": "3.0.2",
    "c8": "7.14.0",
    "chai": "4.3.7",
    "mocha": "10.2.0",
    "mocha-junit-reporter": "2.2.0",
    "nock": "13.3.1",
    "rimraf": "5.0.0",
    "ts-node": "10.9.1"
  },
  "prettier": "@openstapps/prettier-config",
  "eslintConfig": {
    "extends": "@openstapps",
    "rules": {
      "no-console": "off",
      "unicorn/no-negated-condition": "off",
      "unicorn/no-null": "off",
      "jsdoc/check-tag-names": "off"
    }
  }
}
